/**
 * @file xmc4800_relax_ecat_kit.h
 * @brief XMC4800 Relax EtherCAT Kit
 *
 * @section License
 *
 * Copyright (C) 2010-2017 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.8.0
 **/

#ifndef _XMC4800_RELAX_ECAT_KIT_H
#define _XMC4800_RELAX_ECAT_KIT_H

//Dependencies
#include "xmc4800.h"

//LED1
#define LED1_MASK    PORT5_OUT_P9_Msk
#define PORT_LED1    PORT5

//LED2
#define LED2_MASK    PORT5_OUT_P8_Msk
#define PORT_LED2    PORT5

//Button 1
#define BUTTON1_MASK PORT15_IN_P13_Msk
#define PORT_BUTTON1 PORT15

//Button 2
#define BUTTON2_MASK PORT15_IN_P12_Msk
#define PORT_BUTTON2 PORT15

#endif
